%bcond_without check

%global goipath         github.com/felixge/httpsnoop
Version:                1.0.1

%gometa

%global common_description %{expand:
Package Httpsnoop provides an easy way to capture http related metrics (i.e.
response time, bytes written, and http status code) from your application's
http.Handlers.}

%global golicenses      LICENSE.txt
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Ccapture http related metrics from your application's http.Handlers

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
